Subject: bug#66624: closed (Re: [bug#66624] [PATCH emacs-team 01/15] guix: emacs-build-system: Process package source in build tree.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Nov 2023 09:33:02 +0000

Your bug report

#66624: [PATCH emacs-team 00/15] Start reworking emacs-build-system

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66624: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66624
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66624] [PATCH emacs-team 01/15] guix: emacs-build-system: Process package source in build tree.
From: Liliana Marie Prikler <[email-masked]>
To: Andrew Tropin <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 02 Nov 2023 10:32:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 01.11.2023 um 20:54 +0100 schrieb Liliana Marie
Prikler:
> Am Montag, dem 23.10.2023 um 12:41 +0400 schrieb Andrew Tropin:
> > On 2023-10-19 06:06, Liliana Marie Prikler wrote:
> > 
> > > * guix/build/emacs-build-system.scm (ensure-package-description)
> > > (patch-el-files, make-autoloads): Operate on the current working
> > > directory either implicitly, or through (getcwd).
> > 
> > Sounds reasonable and seems to simplify build phases.
> > 
> > > [...]
> > 
> > I didn't spot any obvious issues with the patch series.  Thank you
> > for working on it!
> Thanks for checking.
> 
> Pushed to emacs-team now.
> 
> Cheers
Forgot to mark as done.

Subject: [PATCH emacs-team 00/15] Start reworking emacs-build-system
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Thu, 19 Oct 2023 07:42:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

this has been on my back-burner for some while, but since we failed to
do Emacs build system changes during the 29 update, let's keep up the
struggle and refactor what we have.

This series makes it so that the build tree reflects what is actually
going to be installed.  I've updated most non-emacs-build-system
packages to follow suit, but a few very outdated ones are also in the
mix.  I didn't touch those; whoever needs them will have to take a look.

Anyhow, with this series the only strange thing about emacs-build-system
is the check → install → build cycle rather than the reverse.  I don't
think it'll be possible to move build before install, though, so that's
that.

Cheers

Liliana Marie Prikler (15):
  guix: emacs-build-system: Process package source in build tree.
  gnu: skktools: Build autoloads before installing them.
  gnu: translate-shell: Build autoloads before installing them.
  gnu: translate-shell: Compile emacs bytecode.
  gnu: emacs-mew: Adjust to changes in emacs-build-system.
  gnu: crm114: Adjust to changes in emacs-build-system.
  gnu: guile-wisp: Build autoloads before installing them.
  gnu: uim: Keep Emacs files in subdirectory.
  gnu: emacs-geiser-guile: Process autoloads in-tree.
  gnu: emacs-geiser-gauche: Process autoloads in-tree.
  gnu: emacs-geiser-racket: Process autoloads in-tree.
  gnu: emacs-geiser-chez: Process autoloads in-tree.
  gnu: emacs-libgit: Adjust to changes in emacs-build-system.
  gnu: emacs-eweouz: Build autoloads before installing them.
  gnu: emacs-pdf-tools: Build autoloads before installing them.

 gnu/packages/dictionaries.scm     |  8 +--
 gnu/packages/emacs-xyz.scm        | 33 +++++-------
 gnu/packages/guile-xyz.scm        |  6 +--
 gnu/packages/language.scm         |  6 +--
 gnu/packages/mail.scm             | 30 ++++++-----
 gnu/packages/xorg.scm             | 13 +----
 guix/build/emacs-build-system.scm | 85 +++++++++++++------------------
 7 files changed, 75 insertions(+), 106 deletions(-)

base-commit: 8d6b3dd0b863ccada887da8cd347727dd04cb456
-- 
2.41.0